/* Swap nybbles in a file, typically to fix a Mirage sound file */

#include <stdio.h>
main()
{
  int i, swapped, highbyte = -1;

  while((i = getchar()) != EOF) {
    if(highbyte != -1) {
      swapped = ((highbyte & 0x0F) << 4) | (i & 0x0F);
      putchar(swapped);
      highbyte = -1;
    }
    else {
      highbyte = i;
    }
  }
}
